package org.jeecg.modules.projectManagement.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.projectManagement.entity.FdWorkingHours;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 工时记录
 * @author： jeecg-boot
 * @date：   2019-06-25
 * @version： V1.0
 */
public interface IFdWorkingHoursService extends IService<FdWorkingHours> {
    IPage<FdWorkingHours> findByPage(Page<FdWorkingHours> page,QueryWrapper<FdWorkingHours> queryWrapper);

    void addAll(FdWorkingHours fdWorkingHours);

    boolean deleteAll(String id);

    Map<String,Object> auditBatch(List<String> ids);

    Map<String,Object> reviewBatch(List<String> ids);

    int getNowDayCount(String nowDate,String createBy);

    IPage<FdWorkingHours> examinePage(Page<FdWorkingHours> page,QueryWrapper<FdWorkingHours> queryWrapper);

    void updateStatus(FdWorkingHours fdWorkingHours);

    void updateHoursTotal(FdWorkingHours fdWorkingHours);
}
